import * as vue from "vue";
import { defineComponent, mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderList, ssrRenderClass, ssrInterpolate } from "vue/server-renderer";
import { I as normalizeList } from "../mount.js";
import "js-cookie";
import "events";
import "http";
import "@medv/finder";
import "front-matter";
import "markdown-it";
import "markdown-it-anchor";
import "markdown-it-implicit-figures";
import "markdown-it-link-attributes";
import "markdown-it-video";
import "remove-markdown";
import "./index.2544f8a4.js";
import "body-parser";
import "path-browserify";
import "dotenv";
import "compression";
import "serve-favicon";
import "serve-static";
import "html-minifier";
import "vite";
import "@vue/server-renderer";
import "fs";
import "enquirer";
import "semver";
import "glob";
import "minimist";
import "handlebars";
import "execa";
import "multer";
import "sharp";
import "@vitejs/plugin-vue";
import "express";
import "axios";
import "knex";
import "dompurify";
import "dayjs";
import "chalk";
import "dayjs/plugin/relativeTime.js";
import "dayjs/plugin/utc.js";
import "dayjs/plugin/timezone.js";
import "dayjs/plugin/updateLocale.js";
import "dayjs/plugin/weekOfYear.js";
import "deepmerge";
import "fast-safe-stringify";
import "spark-md5";
import "nanoid";
import "is-plain-object";
import "prettyoutput";
import "consola";
import "validator";
import "@vueuse/head";
import "node-fetch";
import "vue-router";
import "jsonwebtoken";
import "fs-extra";
import "bcrypt";
import "knex-stringcase";
import "@sinclair/typebox";
import "nodemailer";
import "nodemailer-html-to-text";
import "@tailwindcss/forms";
import "unocss/vite";
import "@unocss/preset-icons";
import "nodemon";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "InputRadioButton",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: [String, Number], default: "" },
    list: { type: Array, default: () => [] }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const parsedList = vue.computed(() => normalizeList(props.list));
    const buttonClass = (v, i) => {
      const out = [];
      if (i == 0) {
        out.push("rounded-l-md");
      } else if (i == parsedList.value.length - 1) {
        out.push("rounded-r-md");
      }
      if (i != 0) {
        out.push("-ml-px");
      }
      if (props.modelValue == v.value) {
        out.push("bg-theme-400 border-theme-600 text-theme-0 z-20");
      } else {
        out.push(
          "bg-theme-100 text-theme-600 border-theme-300 hover:border-theme-300"
        );
      }
      return out.join(" ");
    };
    const classes = [
      "relative",
      "inline-flex",
      "items-center",
      "border",
      "px-input-x",
      "py-input-y",
      "text-input-size",
      "text-theme-600",
      "focus:z-10",
      "focus:outline-none",
      "focus:ring-0"
    ];
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<span${ssrRenderAttrs(mergeProps({ class: "relative z-0 inline-flex rounded-lg shadow-sm" }, _attrs))}><!--[-->`);
      ssrRenderList(unref(parsedList), (li, i) => {
        _push(`<button type="button" class="${ssrRenderClass([classes, buttonClass(li, i)])}">${ssrInterpolate(li.name)}</button>`);
      });
      _push(`<!--]--></span>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../ui/InputRadioButton.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
